%define pkg_name        POE-Component-DebugShell-Jabber
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.1

Summary:       POE interactive peeking via Jabber
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/X/XA/XANTUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 0.27
BuildRequires: perl(POE::API::Peek) >= 0.02
BuildRequires: perl(POE::Component::Jabber)


%description
This component allows for interactive peeking into a running POE application
via Jabber.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}
%{__perl} -pi -e '
	s{SOCKFAIL}{SOCKETFAIL}g;
	s{SESSFAIL}{SESSIONFAIL}g;
	s{SOCKDISC}{SOCKETDISCONNECT}g;
' lib/POE/Component/DebugShell/Jabber.pm


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc examples/ LICENSE


%changelog
* Wed Jun 13 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.04
